[mythtv-users] Error getting encoder firmware version

mikemurphy mike at halfmytime.com
Tue Dec 28 01:59:06 UTC 2004

How did you go about installing the IVTV drivers?  The Hauppauge PVR 
cards expect the drivers to load firmware onto them the cards when they 
start up.  The binaries for this firmware need to be present on your 
filesystem (in /lib/modules/ if i recall correctly), but they aren't 
distributed with the IVTV drivers because they're not open-source.  You 
probably won't have these binaries unless you installed with Knoppmyth 
or something.  It sounds like that may be your problem.  The IVTV 
drivers include a utility called ivfwextract that can pull the binaries 
you need out of a downloaded copy of the windows drivers.  There's a 
step-by-step on the gentoo wiki's myth howto:


No offense if you already know about it.  It's definitely something I 
stumbled over.

Good luck,

a_tall_guy 2001 wrote:

> Hi All -
> I have been at this several weeks now and am running out of ideas.
> I am trying to get any version of the ivtv drivers to load, and am 
> getting an error : Kernel: Error -16 getting firmware version. I can 
> see the board through lspci -
> ______
> 0000:00:0a.0 Multimedia video controller: Internext Compression Inc 
> iTVC15 MPEG-2 Encoder (rev 01)
> Subsystem: Hauppauge computer works Inc. WinTV PVR-350
> Flags: bus master, medium devsel, latency 32, IRQ 17
> Memory at dc000000 (32-bit, prefetchable) [size=64M]
> Capabilities: [44] Power Management version 2
> _______

More information about the mythtv-users mailing list